Testing Portal on Mobile

10/28/2019 09:59 AM - Yazan Awad

Status: Closed Start date: 10/28/2019

Priority: Normal Due date:  

Assignee: Yazan Awad % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: QA

Category: System Transaction Number:  

Sub-Category:  Browser:  

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

Feedback:

Consider all the notes below in Arabic and English Designs

Extranet Portal:

1- Slides Section should be shortened

2- Navigation menu --> remove the partitions between the menu content.

3- Enhance the design for the announcement on the home page to fit the name next to the date

4- All the pages from the "Media Center" menu needs to be modified to have the search field on top of the content of the page

5- Provide Login Page for mobile users

6- Ministry Services pages (No mobile Design)

7- announcement with attachments

8- zoom for the organization structure image

9- login page

10- long names for the images in the image gallery

11- locations drop down in the Service Catalog Cards

12- space between the contact information and the footer in the “contact us” page

the following feedback after testing the design on Real Device:

1-Footer alignment

2-Poll is not previewed on the Search result page

3-“Preview” action for publication downloads the file directly

4-Long department names and services in “Our Services” should be considered on mobile devices since the user cannot hover on

the department name to check the full name

5-    The arrows (Next, Previous) that are located in the image gallery and the video gallery should be always displayed

6-    The Header of the portal (Logos and navigation menu) should always be displayed even when scrolling down

Actions to be removed if using mobile design on Extranet

1- "Contents"

2- Administration

3- Polls

History

#1 - 01/21/2020 12:37 PM - Yazan Awad

- Description updated
#2 - 06/07/2020 11:29 AM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-10

- Description updated

1- Slides Section should be shortened (Fixed)

2- Navigation menu --> remove the partitions between the menu content. (Fixed)

3- Enhance the design for the announcement on the home page to fit the name next to the date (Fixed)

4- All the pages from the "Media Center" menu needs to be modified to have the search field on top of the content of the page (Fixed)

#3 - 06/15/2020 10:14 AM - Yazan Awad

- Description updated

1- Slides Section should be shortened (Fixed)

2- Navigation menu --> remove the partitions between the menu content. (Fixed)

3- Enhance the design for the announcement on the home page to fit the name next to the date (Fixed)

4- All the pages from the "Media Center" menu needs to be modified to have the search field on top of the content of the page

5- Provide Login Page for mobile users (Fixed)

6- Ministry Services pages (No mobile Design) (Fixed)

7- announcement with attachments (Fixed)

8- zoom for the organization structure image (Ignored)

9- login page (Fixed)

10- long names for the images in the image gallery (Fixed)

11- locations drop down in the Service Catalog Cards (Fixed)

12- space between the contact information and the footer in the “contact us” page (Fixed)

the following feedback after testing the design on Real Device:

1-Footer alignment (Fixed)

2-Poll is not previewed on the Search result page (Fixed)

3-“Preview” action for publication downloads the file directly (Not Fixed)

4-Long department names and services in “Our Services” should be considered on mobile devices since the user cannot hover on the department

name to check the full name (Not Fixed)

5-The arrows (Next, Previous) that are located in the image gallery and the video gallery should be always displayed (Not Fixed)

6-The Header of the portal (Logos and navigation menu) should always be displayed even when scrolling down (Not Fixed)

Actions to be removed if using mobile design on Extranet

1- "Contents"

2- Administration

3- Polls
#4 - 06/17/2020 03:32 PM - Yazan Awad

- Description updated

- Assignee changed from Yazan Awad to Zaid Shakboua

- % Done changed from 0 to 90

Remaining Feedback

1-“Preview” action for publication downloads the file directly (Ignored By Sa'ed)

2-Long department names and services in “Our Services” should be considered on mobile devices since the user cannot hover on the department

name to check the full name (Fixed in Arabic only)

Actions to be removed if using mobile design on Extranet

1- "Contents"

2- Administration

3- Polls

#5 - 06/22/2020 10:36 AM - Yazan Awad

Remaining Feedback

1-“Preview” action for publication downloads the file directly (Ignored By Sa'ed)

2-Long department names and services in “Our Services” should be considered on mobile devices since the user cannot hover on the department

name to check the full name (Fixed)

Actions to be removed if using mobile design on Extranet

1- "Contents" --> Removed

2- Administration --> Not handled yet

3- Polls --> Removed

#6 - 06/25/2020 10:51 AM - Yazan Awad

- Status changed from Open to Closed

- Assignee changed from Zaid Shakboua to Yazan Awad

- % Done changed from 90 to 100

The actions have been removed, thank you.
